/**
 * Copyright (c) OpenLens Maintainers. All rights reserved.
 * Licensed under MIT License. See LICENSE in root directory for more information.
 */
import type { ClusterId, ClusterState } from "../../common/cluster-types";
import { type WindowAction } from "../../common/ipc/window";
import type { InstalledExtension, LensExtensionId } from "@openlens/legacy-extensions";
import type { Location } from "history";
export declare function emitOpenAppMenuAsContextMenu(): void;
export declare function emitWindowLocationChanged(location: Location): void;
export declare function requestWindowAction(type: WindowAction): Promise<void>;
export declare function requestSetClusterFrameId(clusterId: ClusterId): Promise<void>;
export declare function requestInitialClusterStates(): Promise<{
    id: string;
    state: ClusterState;
}[]>;
export declare function requestInitialExtensionDiscovery(): Promise<{
    isLoaded: boolean;
}>;
export declare function requestExtensionLoaderInitialState(): Promise<[LensExtensionId, InstalledExtension][]>;
